Skip to main content
POST
/
call
/
import
Import calls from a raw ZIP export
curl --request POST \
  --url https://app.freyavoice.ai/api/v2/call/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form workspaceId=3c90c3cc-0d44-4b50-8888-8dd25736052a \
  --form file='@example-file'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "created": 123,
      "skipped": 123,
      "failed": 123,
      "assertionSkipped": 123,
      "errors": [
        {
          "index": 123,
          "id": "<string>",
          "error": "<string>"
        }
      ],
      "agentsInserted": 0,
      "workflowsInserted": 0,
      "versionsInserted": 0
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
workspaceId
string<uuid>
required
file
file
required

ZIP archive

Response

Import summary

success
enum<boolean>
required
Available options:
true
data
object
required